Notify

List Waiters

List all active waiters for a specific event ID.

GET/v2/waiters/{eventId}
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/waiters/{eventId} \
  --header 'Authorization: Bearer <token>'
200Response
[
  {
    "url": "<string>",
    "headers": "<string>",
    "deadline": 123,
    "timeoutBody": "<string>",
    "timeoutUrl": "<string>",
    "timeoutHeaders": "<string>"
  }
]

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

eventIdpathstringrequired

The event ID to list waiters for.

Response

200 — List of active waiters

400 — Bad Request - Invalid event ID

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…